%define upstream_name 	 Devel-Symdump
%define upstream_version 2.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Dump symbol names or the symbol table
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This little package serves to access the symbol table of perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE
%{perl_vendorlib}/Devel
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.170.0-2.mga6
+ Revision: 1025630
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 2.170.0-1.mga6
+ Revision: 1007507
- update to 2.17

* Fri Apr 15 2016 shlomif <shlomif> 2.160.0-1.mga6
+ Revision: 1001836
- update to 2.16

* Fri Feb 19 2016 umeabot <umeabot> 2.150.0-2.mga6
+ Revision: 968087
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 2.150.0-1.mga6
+ Revision: 851242
- update to 2.15

* Wed Oct 15 2014 umeabot <umeabot> 2.120.0-3.mga5
+ Revision: 739934
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.120.0-2.mga5
+ Revision: 684337
- Mageia 5 Mass Rebuild

* Sat Jun 21 2014 sander85 <sander85> 2.120.0-1.mga5
+ Revision: 638382
- update to 2.12

* Fri Feb 07 2014 sander85 <sander85> 2.110.0-1.mga5
+ Revision: 585292
- update to 2.11

* Sat Oct 19 2013 umeabot <umeabot> 2.100.0-2.mga4
+ Revision: 526861
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 2.100.0-1.mga4
+ Revision: 439038
- update to 2.10

* Sun Jan 13 2013 umeabot <umeabot> 2.80.0-4.mga3
+ Revision: 365817
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 2.80.0-3.mga1
+ Revision: 29437
- rebuild
- mageia rebuild

* Mon Jan 17 2011 blino <blino> 2.80.0-2.mga1
+ Revision: 21765
- remove old version check

  + jquelin <jquelin>
    - imported package perl-Devel-Symdump


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 2.80.0-1mdv2010.1
+ Revision: 406982
- rebuild using %%perl_convert_version

* Mon May 11 2009 Jérôme Quelin <jquelin@mandriva.org> 2.08-4mdv2010.0
+ Revision: 374673
- rebuild

* Mon May 11 2009 Jérôme Quelin <jquelin@mandriva.org> 2.08-3mdv2010.0
+ Revision: 374658
- fix error in macro - wtf was up with this package?
- update to 2.08 (for real this time)

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.08-2mdv2009.0
+ Revision: 223637
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.08-1mdv2008.1
+ Revision: 97493
- update to new version 2.08


* Sat Jan 06 2007 Olivier Thauvin <nanardon@mandriva.org> 2.07.00-1mdv2007.0
+ Revision: 104857
- 2.07

* Tue Dec 12 2006 Olivier Thauvin <nanardon@mandriva.org> 2.06.02-1mdv2007.1
+ Revision: 95136
- Import perl-Devel-Symdump

* Thu Aug 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.06.02-1mdv2007.0
- New version (upstream version 2.0602)

* Sat Jun 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.06.01-1mdv2007.0
- new version (upstream version 2.0601)

* Mon Jan 30 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.06-1mdk
- 2.06

* Tue Jan 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.05-1mdk
- 2.05
- Update description and url, remove hardcoded packager, use mkrel

